{
  "name": "wx-chat",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite --mode development --host",
    "dev:prod": "vite --mode production --host",
    "build": "vite build",
    "build:dev": "vite build --mode development",
    "build:prod": "vite build --mode production",
    "preview": "vite preview",
    "electron:dev": "vite --mode development & electron .",
    "electron:build": "vite build && electron-builder",
    "electron:preview": "electron ."
  },
  "build": {
    "appId": "com.wx.chat",
    "productName": "WX Chat",
    "directories": {
      "output": "release"
    },
    "files": [
      "dist/**/*"
    ],
    "win": {
      "target": [
        "nsis"
      ]
    },
    "nsis": {
      "oneClick": false,
      "allowToChangeInstallationDirectory": true,
      "createDesktopShortcut": true,
      "createStartMenuShortcut": true
    }
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@microsoft/fetch-event-source": "^2.0.1",
    "axios": "^1.8.4",
    "echarts": "^5.6.0",
    "element-plus": "^2.9.7",
    "marked": "^15.0.8",
    "pinia": "^3.0.2",
    "pinia-plugin-persistedstate": "^4.2.0",
    "vue": "^3.5.13",
    "vue-router": "^4.5.0"
  },
  "devDependencies": {
    "@vitejs/plugin-vue": "^5.0.4",
    "@types/node": "^20.11.19",
    "@vue/compiler-sfc": "^3.4.21",
    "autoprefixer": "^10.4.17",
    "postcss": "^8.4.35",
    "postcss-import": "^16.0.1",
    "postcss-preset-env": "^9.3.0",
    "sass": "^1.71.1",
    "sass-embedded": "^1.86.3",
    "typescript": "^5.3.3",
    "vite": "^5.1.4",
    "vite-plugin-mkcert": "^1.17.8",
    "vite-plugin-vue-devtools": "^7.0.19",
    "vue-tsc": "^1.8.27"
  }
}
